XAPIAN-COMPACT(1)

NAME
xapian-compact - Compact a flint database, or merge and compact several

SYNOPSIS
xapian-compact [OPTIONS] SOURCE_DATABASE... DESTINATION_DATABASE

DESCRIPTION
xapian-compact - Compact a flint database, or merge and compact several

OPTIONS

-b, --blocksize
    Set the blocksize in bytes (e.g. 4096) or K (e.g. 4K) (must be between 2K and 64K and a power of 2, default 8K)

-n, --no-full
    Disable full compaction

-F, --fuller
    Enable fuller compaction (not recommended if you plan to update the compacted database)

-m, --multipass
    If merging more than 3 databases, merge the postlists in multiple passes (which is generally faster but requires more disk space for temporary files)

--no-renumber Preserve the numbering of document ids (useful if you
    external references to them, or have set the to match unique ids from an external source). Currently this option isn't supported when merging databases.

--help
    display this help and exit

--version
    output version information and exit